net.i2p.sam

## Class SAMv3RawSession

- java.lang.Object
- - net.i2p.sam.SAMMessageSession
  - - net.i2p.sam.SAMRawSession
    - - net.i2p.sam.SAMv3RawSession

All Implemented Interfaces:
  SAMRawReceiver, SAMv3Handler.Session

    public class SAMv3RawSession
    extends SAMRawSession
    implements SAMv3Handler.Session, SAMRawReceiver

Author:
  MKVore

### Nested Class Summary

### Nested classes/interfaces inherited from class net.i2p.sam.SAMMessageSession

`SAMMessageSession.SAMMessageSessionHandler`

### Field Summary

Fields
`(package private) SocketAddress` `clientAddress`
`(package private) SAMv3Handler` `handler`
`(package private) String` `nick`
`(package private) SAMv3Handler.DatagramServer` `server`

### Fields inherited from class net.i2p.sam.SAMRawSession

`RAW_SIZE_MAX, recv`

### Constructor Summary

Constructors
Constructor and Description
`SAMv3RawSession(String nick)` Build a Raw Datagram Session according to information registered with the given nickname

### Method Summary

Methods
`String` `getNick()`
`void` `receiveRawBytes(byte[] data)` Send a byte array to a SAM client, without informations regarding the sender.
`void` `stopRawReceiving()` Stop receiving data.

### Methods inherited from class net.i2p.sam.SAMRawSession

`messageReceived, sendBytes, shutDown`

### Methods inherited from class net.i2p.sam.SAMMessageSession

`close, getDestination, getI2PSession, sendBytesThroughMessageSession`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.i2p.sam.SAMv3Handler.Session

`close, sendBytes`

### Field Detail

#### nick

    String nick

#### handler

    SAMv3Handler handler

#### server

    SAMv3Handler.DatagramServer server

#### clientAddress

    SocketAddress clientAddress

### Constructor Detail

#### SAMv3RawSession

    public SAMv3RawSession(String nick)
                    throws IOException,
                           DataFormatException,
                           I2PSessionException

Build a Raw Datagram Session according to information registered with the given nickname

Parameters:
  `nick` - nickname of the session
Throws:
  `IOException`
  `DataFormatException`
  `I2PSessionException`

### Method Detail

#### getNick

    public String getNick()

Specified by:
  `getNick` in interface `SAMv3Handler.Session`

#### receiveRawBytes

    public void receiveRawBytes(byte[] data)
                         throws IOException

Description copied from interface: `SAMRawReceiver`
Send a byte array to a SAM client, without informations regarding the sender.

Specified by:
  `receiveRawBytes` in interface `SAMRawReceiver`
Parameters:
  `data` - Byte array to be received
Throws:
  `IOException`

#### stopRawReceiving

    public void stopRawReceiving()

Description copied from interface: `SAMRawReceiver`
Stop receiving data.

Specified by:
  `stopRawReceiving` in interface `SAMRawReceiver`